Method: projects.locations.instances.setAccelerator

単一インスタンスのゲスト アクセラレータを更新します。

HTTP リクエスト

PATCH https://notebooks.googleapis.com/v1/{name}:setAccelerator

パスパラメータ

パラメータ
name

string

必須。形式: projects/{projectId}/locations/{location}/instances/{instanceId}

認可には、指定されたリソース name に対する次の IAM の権限が必要です。

  • notebooks.instances.setAccelerator

リクエストの本文

リクエストの本文には、次の構造のデータが含まれます。

JSON 表現
{
  "type": enum (AcceleratorType),
  "coreCount": string
}
フィールド
type

enum (AcceleratorType)

必須。このアクセラレータのタイプ。

coreCount

string (int64 format)

必須。このアクセラレータのコア数。type と coreCount のすべての組み合わせが有効であるわけではありません。有効な組み合わせについては、Compute Engine の GPU をご覧ください。TPU はサポートされていません。

レスポンスの本文

成功した場合、レスポンスの本文には Operation のインスタンスが含まれます。

認可スコープ

次の OAuth スコープのいずれかが必要です。

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/notebooks

詳細については、Authentication Overview をご覧ください。